%global pypi_name rfc3986

Summary:        Validating URI References per RFC 3986
Name:           python-%{pypi_name}
Version:        2.0.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://rfc3986.readthedocs.io
Source0:        %pypi_source

BuildArch:      noarch

%description
A Python implementation of RFC 3986 including validation and authority parsing.

%package -n python3-%{pypi_name}
Summary:        Validating URI References per RFC 3986
BuildRequires:  python3-devel %{py3_dist pytest}

%description -n python3-%{pypi_name}
A Python implementation of RFC 3986 including validation and authority parsing.

%pyproject_extras_subpkg -n python3-%{pypi_name} idna2008

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x idna2008

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 2.0.0-1
- update to 2.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 1.5.0-1
- initial build
